Subject: Re: bug#40462: 28.0.50; Building nativecomp branch segfaulting on FreeBSD

From: Ashish SHUKLA <[email-masked]>
Date: Sat, 2 May 2020 18:29:25 +0530

On 5/2/20 3:27 PM, Andrea Corallo wrote:
> Ashish SHUKLA <[email-masked]> writes:
> 
>> On 5/2/20 1:52 PM, Ashish SHUKLA wrote:
>>> On 5/2/20 1:24 PM, Ashish SHUKLA wrote:
>>>
>>> [...]
>>>
>>>> I used the FreeBSD ports to install everything. Whereas you used GCC
>>>> from trunk unlike me, and used these GNU make arguments, which I wasn't.
>>>>
>>>>
>>>> Anyways, I'll report back with my results.
>>>
>>> It's still building, but at least it passed the previous stage where it
>>> was segfaulting after switching to the gmake command-line arguments:
>>>
>>>    NATIVE_FAST_BOOT=1 V=1
>>>
>>> So, that seems like a good sign.
>>>
>>> I will report back, when it completes.
>>
>> It completed few minutes ago, with no issues. So, it seems like I was
>> using the wrong command-line for building. Sorry about that.
>>
>> Thanks!
> 
> Hi Ashish,
> 
> thanks for reporting first.
> 
> I think your command line was fair...  'V' should be just about make
> verbosity and NATIVE_FAST_BOOT just native compile only core files in
> the first image but your crash was earlier so this should not make a
> difference.
> 
> I suspect we are missing something.  Maybe the repo was dirty somehow
> from some previous attempt?

Well, it's built from a FreeBSD port (copy of editors/emacs-devel),
which uses Emacs' git commit snapshot tarball (available from
github.com/emacs-mirror/emacs assumed to contain output of: git archive
$commitid ) as its source, and built by roughly executing following
commands:

%./autogen.sh all
% sed -e '/emacs-repository-version/s/^.*$$/(setq
emacs-repository-version "${COMMIT_ID}")/' \
      -e '/emacs-repository-branch/s/^.*$$/(setq emacs-repository-branch
"master")/' -i '' lisp/loadup.el
% ./configure $CONFIGURE_FLAGS
% gmake $MAKE_FLAGS

In your testing were you able to build without specifying any arguments
to make (i.e. no "NATIVE_FAST_BOOT=1" "V=1"), as that's what was causing
segmentation fault for me ?

Thanks!
-- 
Ashish SHUKLA